var Clock = new Class({
  Implements: Options,
  initialize: function(element, options){
    this.setOptions(options);
    this.element = element;
    //this.elements();
    this.updateTimer = new Timer();
    this.updateTimer.interval = 0.5;
    this.updateTimer.onTimerFired = this.update;
    
    this.update();
  },
  update: function(){
    /**
    if(this.element.evaluate('seperator').style.background == 'transparent'){
      this.element.getElement('.bullet').style.background = 'url(Images/Digit_double_point.png) 50% 50% no-repeat';
    } else {
      this.element.getElement('.bullet').setStyle('background', 'transparent');
    };
    **/
    var h = this.calculateBackground(this.tztime().getHours(), 'h');
    var hd = evaluate('clock[name='+element+']/hour/digit')
    hd[0].style.background = 'url(Images/Time_small.png) 0 '+ h[0]+'px';
    hd[1].style.backgroundPosition = 'url(Images/Time_big.png) 0 '+ h[1]+'px';

    var min = this.calculateBackground(this.tztime().getMinutes(), 'm');
    var mind = evaluate('clock[name='+element+']/minute/digit');
    mind[0].style.background = 'url(Images/Time_big.png) 0 '+ min[0]+'px';
    mind[1].style.background = 'url(Images/Time_small.png) 0 '+ min[1]+'px';

    return;
    
    if(this.element.id == 'local'){
      $('daylit').setStyle('background-position', '0 ' + ((this.tztime().getDay()-1)*12)*-1 + 'px' )
      var day = this.calculateBackground(this.tztime().getDate(), 'd')
      $('day').getElements('.digit').each(function(e, idx){
        e.setStyle('background-position', '0 '+ day[idx]+'px');
      });
    }
    
  },
  calculateBackground: function(number, part){
    var number = number.toString();
    var res = [];
    if(typeof(number[1]) == 'undefined'){
      number = "0"+number;
    };
    if(part == 'h'){
      res.push((number[0]*17)*-1);
      res.push((number[1]*24)*-1);
    }
    if(part == 'm'){
      res.push((number[0]*24)*-1);
      res.push((number[1]*17)*-1);
    }
    
    if(part == 'd'){
      res.push((number[0]*12)*-1);
      res.push((number[1]*12)*-1);
    }
    return res;
  },
  tztime: function(){
    if(typeof(this.options.tz) != 'undefined') {
      var d = new Date(),
          localTime = d.getTime(),
          localOffset = d.getTimezoneOffset() * 60000,
          utc = localTime + localOffset;
      return new Date(utc + (3600000*this.options.tz));
    } else {
     return new Date();
    };
  }
});